<?php
require_once("../../config/config_dir_raiz.php");
$config = new Config();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_permissao_paginaDAO.php");
$bi_permissao_paginaDAO = new Bi_permissao_paginaDAO();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_grupo_permissaoDAO.php");
$bi_grupo_permissaoDAO = new Bi_grupo_permissaoDAO(); 
require_once($config->diretorio_raiz()."/src/model/bd/Bi_paginaDAO.php");
$bi_paginaDAO = new Bi_paginaDAO(); 
$retorno = array();
if (isset($_GET["mod"]) && $_GET["mod"] == "form")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_permissao_pagina = $bi_permissao_paginaDAO->buscarBi_permissao_pagina($_GET["codigo"]);
	}else{
		$bi_permissao_pagina = new Bi_permissao_pagina();
		$bi_permissao_pagina->setGrupo(new Bi_grupo_permissao());
		$bi_permissao_pagina->setPagina(new Bi_pagina());
	}
	$listaGrupo = $bi_grupo_permissaoDAO->listarTodosRegistros(); 
	$listaPagina = $bi_paginaDAO->listarTodosRegistros(); 
	if (isset($_GET["grupo"]) and $_GET["grupo"] != "")
	{
		$bi_permissao_pagina->setGrupo($bi_grupo_permissaoDAO->buscarBi_grupo_permissao($_GET["grupo"]));
		$campo_buscar = "&grupo=".$_GET["grupo"]; 
	}
	if (isset($_GET["pagina"]) and $_GET["pagina"] != "")
	{
		$bi_permissao_pagina->setPagina($bi_paginaDAO->buscarBi_pagina($_GET["pagina"]));
		$campo_buscar = "&pagina=".$_GET["pagina"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_permissao_pagina/Formulario.php");
}
elseif (isset($_GET["mod"]) && ($_GET["mod"] == "salvar" or $_GET["mod"] == "alterar"))
{
	$bi_permissao_pagina = new Bi_permissao_pagina();
	$bi_permissao_pagina->setCodigo($_POST['codigo']);
	$bi_permissao_pagina->setGrupo($_POST['grupo']);
	$bi_permissao_pagina->setPagina($_POST['pagina']);
	$codigo = "";
	if ($_GET["mod"] == "alterar")
	{
		$bi_permissao_pagina->setCodigo($_POST['codigo']);
		$codigo = $bi_permissao_pagina->getCodigo();
		try
		{
			$retorno["mensagem"] = "Alterado com sucesso!";
			$retorno["status"] = true;
			$bi_permissao_paginaDAO->atualizar($bi_permissao_pagina);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	else
	{
		try
		{
			$retorno["mensagem"] = "Inserido com sucesso!";
			$retorno["status"] = true;
			$codigo = $bi_permissao_paginaDAO->salvar($bi_permissao_pagina);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "excluir")
{
	try
	{
		$bi_permissao_pagina = $bi_permissao_paginaDAO->buscarBi_permissao_pagina($_GET["codigo"]);
		$bi_permissao_paginaDAO->excluir($bi_permissao_pagina);
		$retorno["mensagem"] = utf8_decode("Excluido com sucesso!");
		$retorno["status"] = true;
	}
	catch (Exception  $e)
	{
		$retorno["mensagem"] = $e->getMessage();
		$retorno["status"] = false;
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "listar")
{
	if (isset($_GET["grupo"]) and $_GET["grupo"] != "")
	{
		$campo_buscar = "&grupo=".$_GET["grupo"]; 
	}
	if (isset($_GET["pagina"]) and $_GET["pagina"] != "")
	{
		$campo_buscar = "&pagina=".$_GET["pagina"]; 
	}
	$listaBi_permissao_pagina = $bi_permissao_paginaDAO->listarTodosRegistros();
	include_once($config->diretorio_raiz()."/src/view/bi_permissao_pagina/Listar_todos_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "filtro")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_permissao_pagina = $bi_permissao_paginaDAO->buscarBi_permissao_pagina($_GET["codigo"]);
	}else{
		$bi_permissao_pagina = new Bi_permissao_pagina();
		$bi_permissao_pagina->setGrupo(new Bi_grupo_permissao());
		$bi_permissao_pagina->setPagina(new Bi_pagina());
	}
	$listaGrupo = $bi_grupo_permissaoDAO->listarTodosRegistros(); 
	$listaPagina = $bi_paginaDAO->listarTodosRegistros(); 
	if (isset($_GET["grupo"]) and $_GET["grupo"] != "")
	{
		$bi_permissao_pagina->setGrupo($bi_grupo_permissaoDAO->buscarBi_grupo_permissao($_GET["grupo"]));
		$campo_buscar = "&grupo=".$_GET["grupo"]; 
	}
	if (isset($_GET["pagina"]) and $_GET["pagina"] != "")
	{
		$bi_permissao_pagina->setPagina($bi_paginaDAO->buscarBi_pagina($_GET["pagina"]));
		$campo_buscar = "&pagina=".$_GET["pagina"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_permissao_pagina/Filtro_lista_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "busca_por_campo_filtro")
{
	$entrouEmAlgumFiltro = false;
 	$where = " where 1=1";
	if(isset($_GET['codigo']) and $_GET["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_GET['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_GET["codigo"]; 
	}
	if(isset($_POST['codigo']) and $_POST["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_POST['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_POST["codigo"]; 
	}
	if(isset($_GET['grupo']) and $_GET['grupo'] != "")
	{
		$where .= " and grupo = ". $_GET['grupo'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&grupo=".$_GET["grupo"]; 
	}
	if(isset($_POST['grupo']) and $_POST['grupo'] != "")
	{
		$where .= " and grupo = ". $_POST['grupo'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&grupo=".$_POST["grupo"]; 
	}
	if(isset($_GET['pagina']) and $_GET['pagina'] != "")
	{
		$where .= " and pagina = ". $_GET['pagina'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&pagina=".$_GET["pagina"]; 
	}
	if(isset($_POST['pagina']) and $_POST['pagina'] != "")
	{
		$where .= " and pagina = ". $_POST['pagina'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&pagina=".$_POST["pagina"]; 
	}
	$listaBi_permissao_pagina = $bi_permissao_paginaDAO->buscarFiltro($where);
	include_once($config->diretorio_raiz()."/src/view/bi_permissao_pagina/Listar_todos_registros.php");
}
